Subject: bug#15742: 24.3; package-x.el keep modtime on upload

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Oct 2019 17:42:46 +0200

Kevin Ryde <[email-masked]> writes:

> It'd good if `package-upload-file' in package-x.el preserved the modtime
> of the file when it puts it in the archive.  Keeping the modtime helps
> see that it's the same as where it was copied from, in particular if
> initial generating or regenerating the archive by copying everything to
> it.

Hm...  I can see the charm, but it's also valuable to be able to see
(and sort) by the time the package was uploaded.  (Conversely, I'm
really, really happy that whenever I download a file, I get the time
stamp of when I downloaded it, not the time stamp of the original file,
because then I can say "ls -lt" etc and find it.)

So I don't think this would be an uncontroversial change, and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no